Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# DataGraphTraverser Class Reference

This object supervises the traversal of the data graph and the moving of data from one DataNode to its children. More...

List of all members.

## Public Member Functions
| DataGraphTraverser (Thread current_thread)
| DataGraphTraverser ()
| collectLeftovers ()
| Pick up any nodes that didn't get completely traversed.
Thread | getCurrentThread ()
| Returns the currently-executing thread object, as passed to the DataGraphTraverser constructor.
| traverse (PandaNode node)
| Starts the traversal of the data graph at the indicated root node.
| traverseBelow (PandaNode node, DataNodeTransmit const output)
| Continues the traversal to all the children of the indicated node, passing in the given data, without actually calling transmit_data() on the given node.

## Detailed Description

This object supervises the traversal of the data graph and the moving of data from one DataNode to its children.

The data graph is used to manage data from input devices, etc. See the overview of the data graph in dataNode.h.

## Constructor & Destructor Documentation

DataGraphTraverser | ( | Thread | current_thread | ) |

DataGraphTraverser | ( |  | ) |

## Member Function Documentation

collectLeftovers | ( |  | ) |

Pick up any nodes that didn't get completely traversed.

These must be nodes that have multiple parents, with at least one parent completely outside of the data graph.

Thread getCurrentThread | ( |  | ) |

Returns the currently-executing thread object, as passed to the DataGraphTraverser constructor.

traverse | ( | PandaNode | node | ) |

Starts the traversal of the data graph at the indicated root node.

traverseBelow | ( | PandaNode | node,
|  | DataNodeTransmit const | output
| ) |  |

Continues the traversal to all the children of the indicated node, passing in the given data, without actually calling transmit_data() on the given node.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties